%define upstream_name    Plack-Test-ExternalServer
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Run HTTP tests on external live servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Plack::Loader)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(URI)
BuildArch: noarch

%description
This module allows your to run your Plack::Test tests against an external
server instead of just against a local application through either mocked
HTTP or a locally spawned server.

See the Plack::Test manpage on how to write tests that can use this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 514113
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 371895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Plack-Test-ExternalServer


* Sat Aug 20 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
